Bug 255324 - sysutils/powerdxx: 14 Current info how to run
Summary: sysutils/powerdxx: 14 Current info how to run
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-22 09:54 UTC by Nuno Teixeira
Modified: 2021-09-20 15:56 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rigoletto)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira freebsd_committer 2021-04-22 09:54:43 UTC
Hello rigoletto!

I've tried to run powerdxx on 14 current but it doesn't work.
Could you take a look at https://github.com/lonkamikaze/powerdxx/issues/15 ?

Maybe it is a good solution to have a pkg-message telling how to run it.
I don't know about 13 Release, but I used to run it ok on 12 Release.

What you think?
Comment 1 Nuno Teixeira freebsd_committer 2021-04-22 10:29:03 UTC
Strange, author closed issue in a strange way to me and I can't understand it.

I'm thinking what I did wrong.

Need help!

Thanks
Comment 2 Alexandre C. Guimarães freebsd_committer 2021-04-26 04:49:52 UTC
He asked "Would it be better to print a multi-line description explaining this?" and you pointed to this bug report. :-D

I will have a look this week, probably tomorrow.

Thanks for reporting.
Comment 3 Nuno Teixeira freebsd_committer 2021-04-28 06:33:48 UTC
Hello!

In case you don't know that is a review ( https://reviews.freebsd.org/D30004 ) and and PR 253288 ( https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=253288 ) related to this bug report.

Thanks!
Comment 4 commit-hook freebsd_committer 2021-09-20 15:37:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=98858214cd100a605cfb3eb7cbd68213b20cc805

commit 98858214cd100a605cfb3eb7cbd68213b20cc805
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-09-20 15:26:07 +0000
Commit:     Alexandre C. Guimarães <rigoletto@FreeBSD.org>
CommitDate: 2021-09-20 15:26:07 +0000

    sysutils/powerdxx: add pkg-message to inform

    - for CPUs that are supported by the hwpstate driver powerd++ is
      obsolete and in fact not possible, because the driver discards
      frequencies set via the sysctl interface.

    - there is a loader tunable that lets you turn it off.

     PR:            255324

 sysutils/powerdxx/Makefile    |  1 +
 sysutils/powerdxx/pkg-message | 13 +++++++++++++
 2 files changed, 14 insertions(+)
Comment 5 Alexandre C. Guimarães freebsd_committer 2021-09-20 15:56:05 UTC
I forgot about this one, sorry and thank you!